#calculate the rounds lost and won
scoreboard players add @a[gamemode=adventure] data_rounds_won 1
scoreboard players add @a[gamemode=spectator] data_rounds_lost 1

#win and lose sounds
execute as @a[gamemode=adventure] at @s run playsound ss:music.round_win record @s
execute as @a[gamemode=spectator] at @s run playsound ss:music.round_lose record @s

#stop the game
schedule clear sumo:low_garvity
stopsound @a
bossbar set sudden visible false
schedule clear sumo:countdown
scoreboard players set Sudden Temp 132


#tell who is the winner
title @a times 10 60 10

title @a title {"text":"DRAW","color": "dark_purple","bold": true}

scoreboard objectives setdisplay belowName

scoreboard players set Glow Temp 1

#tp players to the center
execute if score Teams Data matches 2 run tp @a[team=1] 33 143 7
execute if score Teams Data matches 2 run tp @a[team=2] 33 143 -7
execute if score Teams Data matches 2 run tp @a[team=!1,team=!2] 0 143 0
execute unless score Teams Data matches 2 run tp @a 0 143 0

execute if score Teams Data matches 2 run spawnpoint @a[team=1] 33 143 7
execute if score Teams Data matches 2 run spawnpoint @a[team=2] 33 143 -7
execute if score Teams Data matches 2 run spawnpoint @a[team=!1,team=!2] 0 143 0
execute unless score Teams Data matches 2 run spawnpoint @a 0 143 0

#reset team rooms
item replace entity @e[tag=panelg] weapon.mainhand with nether_brick{CustomModelData: 2}
scoreboard players set Green Temp 1
setblock 35 153 21 emerald_block

scoreboard players set Yellow Temp 1
item replace entity @e[tag=panely] weapon.mainhand with nether_brick{CustomModelData: 2}
setblock 35 153 -21 gold_block

execute if score Teams Data matches 2 run clone 14 129 6 14 134 -6 18 143 -6

#player data 
team leave @a



gamemode adventure @a
scoreboard players reset @a Lives

clear @a
effect clear @a

#kill all mobs
kill @e[type=!player,type=!armor_stand,type=!item_frame,type=!strider,type=!villager]

#reset maps
worldborder warning distance 10

#set the best scores
tag @a remove Data_Temp
scoreboard players operation $max data_jump_bad > @a data_jump_bad
execute as @a if score @s data_jump_bad = $max data_jump_bad run tag @s add Data_Temp
data merge block 3 145 -27 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Jumps:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_jump_bad"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_deaths > @a data_deaths
execute as @a if score @s data_deaths = $max data_deaths run tag @s add Data_Temp
data merge block 3 145 -24 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Deaths:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_deaths"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_kills > @a data_kills
execute as @a if score @s data_kills = $max data_kills run tag @s add Data_Temp
data merge block 3 145 -21 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Kills:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_kills"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_pearl > @a data_pearl
execute as @a if score @s data_pearl = $max data_pearl run tag @s add Data_Temp
data merge block -3 145 -21 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Pearls:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_pearl"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_rounds_lost > @a data_rounds_lost
execute as @a if score @s data_rounds_lost = $max data_rounds_lost run tag @s add Data_Temp
data merge block -3 145 -24 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Rounds:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_rounds_lost"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_rounds_won > @a data_rounds_won
execute as @a if score @s data_rounds_won = $max data_rounds_won run tag @s add Data_Temp
data merge block -3 145 -27 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Rounds:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_rounds_won"},"color":"green"}'}
